summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-07 16:46:44 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-07 16:46:44 +0200
commit50346a01d3ce66a08f653da020d37628f3974ef1 (patch)
treeb46b6197654e768d37bfe60053d8ab4e76c90d2a /bin
parent7302827f066dd4563c67444f191dc67519c4bda4 (diff)
downloadjenkins.debian.net-50346a01d3ce66a08f653da020d37628f3974ef1.tar.xz
reproducible: fix find command to find outdated html files
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_stats.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_stats.sh b/bin/reproducible_stats.sh
index 8d5c4068..6cce3559 100755
--- a/bin/reproducible_stats.sh
+++ b/bin/reproducible_stats.sh
@@ -86,9 +86,9 @@ link_packages() {
if $EXTRA_STAR && [ ! -f "/var/lib/jenkins/userContent/buildinfo/${PKG}_${EVERSION}_amd64.buildinfo" ] ; then
STAR="<font color=\"#333333\" size=\"-1\">&beta;</font>" # used to be a star...
fi
- NAVI="/var/lib/jenkins/userContent/rb-pkg/${PKG}_navigation.html"
# only build $PKG pages if they don't exist or are older than $BUILD_DATE
- FILE=$(find ! -newermt "$BUILD_DATE" -name $NAVI)
+ NAVI="/var/lib/jenkins/userContent/rb-pkg/${PKG}_navigation.html"
+ FILE=$(find $(dirname $NAVI) -name $(basename $NAVI) ! -newermt "$BUILD_DATE" 2>/dev/null || true)
if [ ! -f $NAVI ] || [ "$FILE" != "" ] ; then
MAINLINK=""
init_navi_frame "$PKG" "$VERSION" "$BUILD_DATE"